using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace CSharpVitamins.PropertyChangeFilter
{
	[System.Diagnostics.DebuggerDisplay( "MyObject[ {Name}, {Location} ]" )]
	public class MyObject : INotifyPropertyChanged
	{
		string _name;
		string _location;

		public string Name
		{
			get { return _name; }
			set 
			{
				if( _name != value )
				{
					_name = value;
					OnPropertyChanged( "Name" );
				}
			}
		}

		public string Location
		{
			get { return _location; }
			set
			{
				if( _location != value )
				{
					_location = value;
					OnPropertyChanged( "Location" );
				}
			}
		}

		#region PropertyChanged

		public event PropertyChangedEventHandler PropertyChanged;

		void OnPropertyChanged( string name )
		{
			PropertyChangedEventHandler handler = PropertyChanged;
			if( null != handler )
			{
				handler( this, new PropertyChangedEventArgs( name ) );
			}
		}

		#endregion

	}
}
